Scala plugin in Eclipse 3.2M5

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Scala plugin in Eclipse 3.2M5

Andrei Formiga
   I tested the plugin with 3.2M5. It mostly works: editor and
compilation are ok, but I'm not able to create launch configurations
for a Scala Application. The launch configurations dialog has changed
from M4, so I believe there should be some simple adjustment.

--
[]s, Andrei Formiga
Reply | Threaded
Open this post in threaded view
|

Re: Scala plugin in Eclipse 3.2M5

sean.mcdirmid
Ya I noticed this also. I'm going to have to write a custom control  
for this part as it seems to be pretty volatile (changes every  
milestone release). Eventually, I want to get rid of most of our  
internal API uses, which unfortunately means duplicating code from  
the JDT.

On Feb 21, 2006, at 6:15 PM, Andrei Formiga wrote:

>    I tested the plugin with 3.2M5. It mostly works: editor and
> compilation are ok, but I'm not able to create launch configurations
> for a Scala Application. The launch configurations dialog has changed
> from M4, so I believe there should be some simple adjustment.
>
> --
> []s, Andrei Formiga

Reply | Threaded
Open this post in threaded view
|

Scala plugin update (2.1.7)

sean.mcdirmid
In reply to this post by Andrei Formiga
Greetings Scala programmers,

I've just put version 2.1.7 of the Scala Eclipse plugin on the update
site (http://lamp.epfl.ch/~mcdirmid/scala-plugin). This version fixes
many bugs and if you are using the plugin you should probably upgrade.
Here is a list of the bugs that are fixed:

* More Scala elements are now highlighted (from 90% to 95% of Scala's
features are supported)
-- Type aliases, imports, constants, and uses of overloaded assignment
(=) are still not highlighted.
* Cut/paste/select indent now work correctly with the highlighter.
* Resident compiler should crash less often
-- Its still known to crash in certain circumstances.

Please keep the bug reports flowing in!

Thanks,

Sean




Reply | Threaded
Open this post in threaded view
|

Re: Scala plugin update (2.1.7)

sean.mcdirmid
I forgot to mention that it has been tested under 3.2M5 and both 3.2M4,
so either Eclipse version should work OK.

Sean McDirmid wrote:

> Greetings Scala programmers,
>
> I've just put version 2.1.7 of the Scala Eclipse plugin on the update
> site (http://lamp.epfl.ch/~mcdirmid/scala-plugin). This version fixes
> many bugs and if you are using the plugin you should probably upgrade.
> Here is a list of the bugs that are fixed:
>
> * More Scala elements are now highlighted (from 90% to 95% of Scala's
> features are supported)
> -- Type aliases, imports, constants, and uses of overloaded assignment
> (=) are still not highlighted.
> * Cut/paste/select indent now work correctly with the highlighter.
> * Resident compiler should crash less often
> -- Its still known to crash in certain circumstances.
>
> Please keep the bug reports flowing in!
>
> Thanks,
>
> Sean
>
>
>
>